> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/compound-v3/compv3withdraw.md).

# CompV3Withdraw

### Description

Withdraw a token from CompoundV3.

> **Notes**
>
> Sending type(uint).max withdraws the whole balance of \_from addr

### Action ID

`0xc0072381`

### SDK Action

```ts
const compoundV3WithdrawAction = new dfs.actions.compoundV3.CompoundV3WithdrawAction(
    market,
    to,
    asset,
    amount,
    onBehalf
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param market Main Comet proxy contract that is different for each compound market
    /// @param to Address where we are sending the withdrawn tokens
    /// @param asset Address of the token to withdraw
    /// @param amount The quantity to withdraw
    /// @param onBehalf Address from which we are withdrawing the tokens from
    struct Params {
        address market;
        address to;
        address asset;
        uint256 amount;
        address onBehalf;
    }
```

### Return Value

```solidity
return bytes32(withdrawAmount);
```

### Events and Logs

```solidity
emit ActionEvent("CompV3Withdraw", logData);
logger.logActionDirectEvent("CompV3Withdraw", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/compound-v3/compv3withdraw.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
